plugins {
    alias(libs.plugins.android.application)
    alias(libs.plugins.kotlin.android)
    alias(libs.plugins.kotlin.compose)
}

android {
    namespace = "com.birdsounds.identify"
    compileSdk = 34

    defaultConfig {
        applicationId = "com.birdsounds.identify"
        minSdk = 34
        targetSdk = 34
        versionCode = 1
        versionName = "1.0"

    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }
    buildFeatures {
        compose = true
    }
}

dependencies {
    implementation("androidx.lifecycle:lifecycle-viewmodel-compose:2.8.4")
    implementation("androidx.compose.ui:ui-tooling:1.3.1")
    implementation("androidx.navigation:navigation-compose:2.8.0-rc01")
    implementation("androidx.wear.compose:compose-navigation:1.3.1")
    implementation("com.google.android.horologist:horologist-audio-ui:0.6.18")
    implementation("com.google.android.horologist:horologist-audio:0.6.18")
    implementation("com.google.android.horologist:horologist-compose-tools:0.6.18")
    implementation("com.google.android.horologist:horologist-compose-tools:0.6.18")
    implementation("com.google.android.horologist:horologist-compose-layout:0.6.18")
    implementation("androidx.compose.material:material-icons-core:1.6.8")
    implementation("androidx.compose.material:material-icons-extended:1.6.8")
    implementation("com.google.android.horologist:horologist-compose-material:0.6.8")
    implementation("com.google.android.horologist:horologist-media-ui:0.6.8")
    implementation("com.google.android.horologist:horologist-media-data:0.6.8")
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-play-services:1.8.1")
    implementation("androidx.media3:media3-exoplayer:1.4.0")
    implementation(libs.play.services.wearable)
    implementation(platform(libs.androidx.compose.bom))
    implementation(libs.androidx.ui)
    implementation(libs.androidx.ui.graphics)
    implementation(libs.androidx.ui.tooling.preview)
    implementation(libs.androidx.compose.material)
    implementation(libs.androidx.compose.foundation)
    implementation(libs.androidx.wear.tooling.preview)
    implementation(libs.androidx.activity.compose)
    implementation(libs.androidx.core.splashscreen)
    implementation(libs.androidx.compose.navigation)
    implementation(libs.androidx.media3.common)
    implementation("co.touchlab:stately-concurrent-collections:2.0.0")
    implementation(libs.androidx.compose.material3)
    implementation(libs.androidx.work.runtime.ktx) //    androidTestImplementation(platform(libs.androidx.compose.bom))
//    androidTestImplementation(libs.androidx.ui.test.junit4)
//    debugImplementation(libs.androidx.ui.tooling)
//    debugImplementation(libs.androidx.ui.test.manifest)
    wearApp(project(":wear"))
}